Subject: Re: Git in GSoC 2025

From: shejialuo <[email-masked]>
Date: Sat, 8 Feb 2025 23:34:28 +0800

On Fri, Feb 07, 2025 at 01:02:25PM +0530, Kaartic Sivaraam wrote:
> 
> Indeed. From all of your inputs I was able to come to the following
> allocation of mentor / co-mentor.
> 
> -- 8< --
> 
> Consolidate ref-related functionality into git-refs
> 
> - Mentor: Patrick
> - Co-mentor: Jialuo / Christian
> 
> Refactoring in order to reduce Git’s global state
> 
> - Mentor: Christian
> - Co-mentor: Karthik / Jialuo
> 
> Machine-Readable Repository Information Query Tool
> 
> - Mentor: Karthik
> - Co-mentor: Patrick
> 
> Implement support for reftables in “dumb” HTTP transport
> 
> - Mentor: Patrick
> - Co-mentor: Karthik
> 
> -- >8 --
> 
> Let me know if this sounds fine to all of you. So, I suppose we could
> pick a maximum of 3 projects but we cannot pick both "Consolidate
> ref-related functionality into git-refs" and "Implement support
> for reftables in “dumb” HTTP transport" at the same time as Patrick
> only prefers to be mentor in one project.
> 

I am OK with this.

> Based on this, I'll tweak the ideas page to mention that we could
> pick a max of 3 candidates.
> 
> 
> BTW, I've just submitted Git's application for GSoC. We should know
> by February 26 about the selection result.
> 

Thanks for working on this.

> --
> Sivaraam

Jialuo